## cataclysm 0.0.1-maemo1

=== Makefile ===
# comment these to toggle them as one sees fit.
#WARNINGS = -Wall
DEBUG = -g

ODIR = obj
DDIR = .deps

TARGET = cataclysm

OS  = $(shell uname -o)
CXX = g++

CFLAGS = $(WARNINGS) $(DEBUG)

ifeq ($(OS), Msys)
LDFLAGS = -static -lpdcurses
else 
LDFLAGS = -lncurses
endif

SOURCES = $(wildcard *.cpp)
_OBJS = $(SOURCES:.cpp=.o)
OBJS = $(patsubst %,$(ODIR)/%,$(_OBJS))

all: $(TARGET)
	@

$(TARGET): $(ODIR) $(DDIR) $(OBJS)
	$(CXX) -o $(TARGET) $(CFLAGS) $(OBJS) $(LDFLAGS) 

$(ODIR):
	mkdir $(ODIR)

$(DDIR):
	@mkdir $(DDIR)

$(ODIR)/%.o: %.cpp
	$(CXX) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(TARGET) $(ODIR)/*.o

-include $(SOURCES:%.cpp=$(DEPDIR)/%.P)

=== debian/changelog ===
cataclysm (0.0.1-maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 12 Jul 2011 14:53:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/cataclysm/opt/cataclysm/data
	install -d ${CURDIR}/debian/cataclysm/opt/cataclysm/save

	#files
	install ${CURDIR}/cataclysm ${CURDIR}/debian/cataclysm/opt/cataclysm/
	install ${CURDIR}/data/* ${CURDIR}/debian/cataclysm/opt/cataclysm/data

	#menu and icon
	#install ${CURDIR}/cataclysm.png     ${CURDIR}/debian/cataclysm/usr/share/icons/hicolor/64x64/hildon

	#install -d ${CURDIR}/debian/cataclysm/usr/share/applications/hildon
	#install ${CURDIR}/cataclysm.desktop ${CURDIR}/debian/cataclysm/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cataclysm 0.0.2-maemo1

=== debian/changelog ===
cataclysm (0.0.2-maemo1) unstable; urgency=low

  * New upstream
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 15 Jul 2011 21:53:40 +0200

## cataclysm 0.0.3-maemo1

=== debian/changelog ===
cataclysm (0.0.3-maemo1) unstable; urgency=low

  * New upstream
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 18 Oct 2011 13:37:40 +0200

=== debian/control ===
Source: cataclysm
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libncurses5-dev
Standards-Version: 3.8.1
Homepage: https://github.com/Whales/Cataclysm

Package: cataclysm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Post-apocalyptic roguelike

## cataclysm 0.0.4-maemo1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
 # comment these to toggle them as one sees fit.
+# WARNINGS will spam hundreds of warnings, mostly safe, if turned on
+# DEBUG is best turned on if you plan to debug in gdb -- please do!
+# PROFILE is for use with gprof or a similar program -- don't bother generally
 #WARNINGS = -Wall
 DEBUG = -g
+#PROFILE = -pg
 
 ODIR = obj
 DDIR = .deps
@@ -10,7 +14,7 @@
 OS  = $(shell uname -o)
 CXX = g++
 
-CFLAGS = $(WARNINGS) $(DEBUG)
+CFLAGS = $(WARNINGS) $(DEBUG) $(PROFILE)
 
 ifeq ($(OS), Msys)
 LDFLAGS = -static -lpdcurses

=== debian/changelog ===
cataclysm (0.0.4-maemo1) unstable; urgency=low

  * New upstream code
  * Menu icon
  * saves to /home/user/.cataclysm/

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 22 Nov 2011 09:37:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -60,11 +60,15 @@
 	install ${CURDIR}/cataclysm ${CURDIR}/debian/cataclysm/opt/cataclysm/
 	install ${CURDIR}/data/* ${CURDIR}/debian/cataclysm/opt/cataclysm/data
 
-	#menu and icon
-	#install ${CURDIR}/cataclysm.png     ${CURDIR}/debian/cataclysm/usr/share/icons/hicolor/64x64/hildon
+	#menu and icon and starter
+	install -d  ${CURDIR}/debian/cataclysm/usr/share/icons/hicolor/64x64/hildon
+	install ${CURDIR}/debian/cataclysm.png     ${CURDIR}/debian/cataclysm/usr/share/icons/hicolor/64x64/hildon
 
-	#install -d ${CURDIR}/debian/cataclysm/usr/share/applications/hildon
-	#install ${CURDIR}/cataclysm.desktop ${CURDIR}/debian/cataclysm/usr/share/applications/hildon
+	install -d ${CURDIR}/debian/cataclysm/usr/share/applications/hildon
+	install ${CURDIR}/debian/cataclysm.desktop ${CURDIR}/debian/cataclysm/usr/share/applications/hildon
+
+	install -d ${CURDIR}/debian/cataclysm/usr/bin
+	install ${CURDIR}/debian/cataclysm.sh ${CURDIR}/debian/cataclysm/usr/bin
 
 
 # Build architecture-independent files here.

## cataclysm 0.0.7-maemo4

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # WARNINGS will spam hundreds of warnings, mostly safe, if turned on
 # DEBUG is best turned on if you plan to debug in gdb -- please do!
 # PROFILE is for use with gprof or a similar program -- don't bother generally
-#WARNINGS = -Wall
-DEBUG = -g
+#WARNINGS = -Wall -Wextra -Wno-switch -Wno-sign-compare -Wno-missing-braces -Wno-unused-parameter -Wno-char-subscripts
+#DEBUG = -g
 #PROFILE = -pg
+OTHERS = -O0
 
 ODIR = obj
 DDIR = .deps
@@ -12,15 +13,18 @@
 TARGET = cataclysm
 
 OS  = $(shell uname -o)
-CXX = g++
+CXX = g++-4.6
 
-CFLAGS = $(WARNINGS) $(DEBUG) $(PROFILE)
+CFLAGS = $(WARNINGS) $(DEBUG) $(PROFILE) $(OTHERS)
 
 ifeq ($(OS), Msys)
 LDFLAGS = -static -lpdcurses
 else 
 LDFLAGS = -lncurses
 endif
+
+LDFLAGS += -B /usr/binutils2.22/bin
+
 
 SOURCES = $(wildcard *.cpp)
 _OBJS = $(SOURCES:.cpp=.o)

=== debian/changelog ===
cataclysm (0.0.7-maemo4) unstable; urgency=low

  * New upstream code
  * Menu icon
  * icon from http://whalesdev.com/favicon.ico (rescaled)
  * (uses /opt/cataclysm/save no code modifications for that)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 23 Sep 2012 08:43:40 +0200

cataclysm (0.0.5-maemo1) unstable; urgency=low

  * New upstream code
  * Menu icon
  * (uses /opt/cataclysm/save no code modifications for that)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 21 Mar 2012 21:58:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,11 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+
+	#test new compiler
+	#PATH=/usr/binutils2.22/bin:{$$PATH} g++-4.6 hello.cpp
+	#g++-4.6 hello.cpp  -B /usr/binutils2.22/bin
+
 	make
 
 	touch $@

## cataclysm 0.0.7-maemo5

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,6 @@
 endif
 
 LDFLAGS += -B /usr/binutils2.22/bin
-
-
 SOURCES = $(wildcard *.cpp)
 _OBJS = $(SOURCES:.cpp=.o)
 OBJS = $(patsubst %,$(ODIR)/%,$(_OBJS))

=== debian/changelog ===
cataclysm (0.0.7-maemo5) unstable; urgency=low

  * Compiled with g++4.6

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 25 Sep 2012 12:48:40 +0200

=== debian/control ===
Source: cataclysm
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libncurses5-dev, g++-4.6, binutils2.22
Standards-Version: 3.8.1
Homepage: https://github.com/Whales/Cataclysm

Package: cataclysm
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Post-apocalyptic roguelike

=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,6 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-
-	#test new compiler
-	#PATH=/usr/binutils2.22/bin:{$$PATH} g++-4.6 hello.cpp
-	#g++-4.6 hello.cpp  -B /usr/binutils2.22/bin
-
 	make
 
 	touch $@
@@ -75,6 +70,8 @@
 	install -d ${CURDIR}/debian/cataclysm/usr/bin
 	install ${CURDIR}/debian/cataclysm.sh ${CURDIR}/debian/cataclysm/usr/bin
 
+	install ${CURDIR}/debian/_cataclysm.sh ${CURDIR}/debian/cataclysm/opt/cataclysm.sh
+
 
 # Build architecture-independent files here.
 binary-indep: build install
